package gecco.client.infopanels;

import javax.swing.JTextArea;
import javax.swing.JScrollBar;
import javax.swing.JScrollPane;
import javax.swing.BorderFactory;
import javax.swing.border.TitledBorder;
import java.awt.Color;



/**
 * WarningDisplay.java
 *
 *
 * Created: Fri Jan 10 14:45:00 2003
 *
 * @author <a href="mailto:m-8028@M-8028"></a>
 * @version
 */

public class WarningDisplay extends JScrollPane {

    JTextArea messages = new JTextArea();

    public WarningDisplay(){
	super(VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED);
	messages.setEditable(false);
	setViewportView(messages);
        setBorder(
                BorderFactory.createTitledBorder(
                BorderFactory.createLineBorder(Color.black),
                "Warning Messages",
                TitledBorder.CENTER,
                TitledBorder.TOP));
    }

    public void addMessage(String s){
	messages.append(s + "\n");
	getToolkit().beep();
        JScrollBar scrollbar = getVerticalScrollBar();
        scrollbar.setValue(scrollbar.getMaximum());
    }

}// WarningDisplay
