package gecco.game.dke3;

import gecco.server.core.ActionReturn;
import gecco.server.core.ActionReturnCompleted;
import gecco.server.core.ActionReturnRequeue;
import gecco.game.dke.Def;
import gecco.server.core.Unit;
import gecco.server.core.Action;
import gecco.server.core.ReferenceHolder;



/**
 * AutoFireOnAction.java
 *
 *
 * Created: Mon Feb 02 10:10:36 2004
 *
 * @author <a href=mailto:hans.sandstrom@fhs.mil.se> Hans Sandstrm </a>
 * @version 1.0
 */
public class AutoFireOnAction extends WarUnitDKE3Action {

     public AutoFireOnAction() {
	super();
    }

    public void initiate(int actionHandle, int unitHandle){
	super.initiate(actionHandle, unitHandle);
	getWarUnitDKE3().setAutoFire(true);
    }

		    

    public ActionReturn checkPoint(){
	getUnit().addBlockedAction(getActionDefinition().getName());
	getUnit().removeBlockedAction(DefDKE3.getAutoFireOffActionName());
	Action a = new AutoFireWorkerAction();
	int newActionHandle = getNewActionHandle(); // static method gecco.server.core.Action
	int unitHandle = getUnitHandle();
	a.initiate(newActionHandle, unitHandle);
	ReferenceHolder.getActionProcessor().initiateAction(DefDKE3.getSystemRoleName(), a);
	return new ActionReturnCompleted(); 
    }
    
} // AutoFireOnAction
